petsc-3.4.2 2013-07-02

# DMDASNESSetFunctionLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetFunctionLocal(DM dm,InsertMode imode,PetscErrorCode (*func)(DMDALocalInfo*,void*,void*,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| imode | - INSERT_VALUES if local function computes owned part, ADD_VALUES if it contributes to ghosted part
| func | - local residual evaluation
| ctx | - optional context for local residual evaluation

### Calling sequence for func

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on
| x | - dimensional pointer to state at which to evaluate residual
| f | - dimensional pointer to residual, write the residual here
| ctx | - optional context passed above

### See Also

DMSNESSetFunction(), DMDASNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmdasnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex46.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex5f.F.html